<template>
  <ObForm
    cancelText="Отменить"
    :form-data="formData"
    :form-model="formModel"
    @submit="onSubmitHandler"
  >
    <p>
      Укажите значения для <b>средней</b> категории продолжительности. Значения для
      высокой и низкой категорий будут рассчитаны автоматически, исходя из “от”
      и “до” в средней категории продолжительности.
    </p>
    <p class="category-title">Средняя категория</p>
    <div class="row">
      <div class="col-xs-6">
        <ob-input
          label="Продолжительность от"
          subTitle="ч"
          v-model.number="formData.mediumMinDuration"
        ></ob-input>
      </div>
      <div class="col-xs-6">
        <ob-input
          label="Продолжительность до"
          subTitle="ч"
          v-model.number="formData.highMinDuration"
        ></ob-input>
      </div>
    </div>
    <p class="category-title">Максимальная продолжительность рейса</p>
    <div class="row">
      <div class="col-xs-12">
        <ob-input
          label="Максимум"
          subTitle="ч"
          v-model.number="formData.absoluteMaxDuration"
        ></ob-input>
      </div>
    </div>
  </ObForm>
</template>

<script>
import FormValidationMixin from "common-components/src/obComponents/obForm/FormValidationMixin";
import ObInput from "common-components/src/obComponents/obInput";
import ObForm from "common-components/src/obComponents/obForm";
import { required } from 'vuelidate/lib/validators'

export default {
  name: "tripDurationPopup",
  components: { ObForm, ObInput },
  mixins: [FormValidationMixin],
  computed: {
    formModel () {
      return {
        absoluteMaxDuration: {
          value: '',
          validator: {
            required
          }
        },
        highMinDuration: {
          value: '',
          validator: {
            required
          }
        },
        mediumMinDuration: {
          value: '',
          validator: {
            required
          }
        }
      }
    },
  },
  data() {
    return {};
  },
  methods: {
    onSubmitHandler(data) {
      this.$emit("changed", data);
      this.$emit("close");
    }
  }
};
</script>

<style lang="scss" scoped>
  ::v-deep {
    .label__text.ellipsis {
      overflow: visible;
    }
  }

  .ob-modal-container .modal-body p {
    line-height: 20px;
    color: $gray-slate;

    &.category-title {
      font-weight: bold;
      font-size: 16px;
      line-height: 20px;
      letter-spacing: 0.4px;
      color: $color-text-base;
      margin-top: 20px;
    }
  }
</style>
